%global __requires_exclude typelib\\(Unity\\)

Summary:	Sound converter application for the GNOME environment
Name:		soundconverter
Version:	2.1.6
Release:	%mkrel 3
License:	GPLv3
Group:		Sound/Editors and Converters
URL:		http://soundconverter.org/
Source0:	https://launchpad.net/soundconverter/trunk/%{version}/+download/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	intltool
Requires:	gnome-python-gnomevfs
Requires:	gstreamer0.10-python
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gconf 
Requires:	gnome-python
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
# As it is in Tainted repo it can be a recommends
Recommends:	gstreamer0.10-lame

%description
SoundConverter is a simple sound converter application for the GNOME
environment. It reads and writes WAV, FLAC, MP3 and Ogg Vorbis. The user
interface is raw, but should be simple enough to get the job done.

To create MP3 files, you will have to install gstreamer0.10-lame yourself.

%prep
%setup -q

%build
%configure2_5x --libdir=%{_prefix}/lib
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README TODO
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Wed Aug 17 2016 daviddavid <daviddavid> 2.1.6-3.mga6
+ Revision: 1046586
- requires gstreamer0.10-plugins-base and gstreamer0.10-plugins-good
- recommends gstreamer0.10-lame

* Wed Aug 17 2016 daviddavid <daviddavid> 2.1.6-2.mga6
+ Revision: 1046582
- remove gstreamer0.10-gnomevfs as a dependency as it was removed

* Fri Feb 12 2016 daviddavid <daviddavid> 2.1.6-1.mga6
+ Revision: 957015
- new version: 2.1.6

* Mon Oct 26 2015 daviddavid <daviddavid> 2.1.5-2.mga6
+ Revision: 895493
- make it noarch thus fixing empty debuginfo
- move file into '/usr/lib/' dir as it is a noarch package

* Thu Feb 12 2015 vaci0 <vaci0> 2.1.5-1.mga6
+ Revision: 814809
- Update new version 2.1.5

* Wed Oct 15 2014 umeabot <umeabot> 2.1.4-3.mga5
+ Revision: 743179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.4-2.mga5
+ Revision: 689254
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Sep 06 2014 daviddavid <daviddavid> 2.1.4-1.mga5
+ Revision: 672757
- new version: 2.1.4

* Wed Jun 25 2014 vaci0 <vaci0> 2.1.3-1.mga5
+ Revision: 639679
- imported package soundconverter

